﻿@model IEnumerable<ECommerce.Models.Department>

@{
    ViewBag.Title = "Departamentos";
}

<h2>Departamentos</h2>

<p>
    @Html.ActionLink("crear nuevo", "Create", new { }, new {@class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.DepartmentId }     , new { @class = "btn btn-warning" })                              
            @Html.ActionLink("Delete", "Delete", new { id=item.DepartmentId } , new { @class = "btn btn-danger" })
            @Html.ActionLink("Details", "Details", new { id=item.DepartmentId}, new { @class = "btn btn-info" })
        </td>
    </tr>
}

</table>
